QuickHashStringIntHash::set
QuickHashIntStringHash
QuickHashStringIntHash
PHP Manual

# QuickHashStringIntHash::update

(No version information available, might only be in SVN)

QuickHashStringIntHash::update — Mets à jour une entrée de la table de hachage avec une nouvelle valeur

### Description

public bool QuickHashStringIntHash::update ( string `$key` , int `$value` )

Cette méthode met à jour une entrée avec une nouvelle valeur, et retourne le fait que l'entrée a bien été mise à jour ou non. S'il y a des doublons de clés, seul le premier élément recevra la nouvelle valeur. Utilisez QuickHashStringIntHash::CHECK_FOR_DUPES lors de la création de la table de hachage pour prévenir les doublons de clés.

### Liste de paramètres

`key`

  La clé de l'entrée à mettre à jour.

`value`

  La nouvelle valeur pour l'entrée. Si une non-chaîne est passée, elle sera automatiquement convertie en chaîne, si possible.

### Valeurs de retour

`TRUE` lorsque l'entrée a été trouvée et mise à jour, et `FALSE` si l'entrée n'est pas contenue dans la table de hachage.

### Exemples

Exemple #1 Exemple avec QuickHashStringIntHash::update()

`<?php
$hash = new QuickHashStringIntHash( 1024 );
$hash->add( 'six', 314159265 );
$hash->add( "a lot", 314159265 );
echo $hash->get( 'six' ), "\n";
echo $hash->get( 'a lot' ), "\n";
var_dump( $hash->update( 'a lot', 314159266 ) );
var_dump( $hash->update( "a lot plus one", 314159999 ) );
echo $hash->get( 'six' ), "\n";
echo $hash->get( 'a lot' ), "\n";
?>`

L'exemple ci-dessus va afficher quelque chose de similaire à :

    314159265
    314159265
    bool(true)
    bool(false)
    314159265
    314159266

QuickHashStringIntHash::set
QuickHashIntStringHash
QuickHashStringIntHash
PHP Manual